Hooks:PostHook( StatisticsManager, "killed", "nephud_kill_panel", function(self, data)

	local by_bullet = data.variant == "bullet"
	local by_melee = data.variant == "melee" or data.weapon_id and tweak_data.blackmarket.melee_weapons[data.weapon_id]
	local by_explosion = data.variant == "explosion"
	local by_other_variant = not by_bullet and not by_melee and not by_explosion
	local icons_panel = managers.hud._hud_assault_corner._custom_hud_panel:child("icons_panel")
	local kills_panel = icons_panel:child("kills_panel")
	local text_box = kills_panel:child("num_kills")

	if by_bullet then
		managers.hud._hud_assault_corner._total_killed_in_session = managers.hud._hud_assault_corner._total_killed_in_session + 1
		text_box:set_text(managers.hud._hud_assault_corner._total_killed_in_session)
	elseif by_melee then
		managers.hud._hud_assault_corner._total_killed_in_session = managers.hud._hud_assault_corner._total_killed_in_session + 1
		text_box:set_text(managers.hud._hud_assault_corner._total_killed_in_session)
	elseif by_explosion then
		managers.hud._hud_assault_corner._total_killed_in_session = managers.hud._hud_assault_corner._total_killed_in_session + 1
		text_box:set_text(managers.hud._hud_assault_corner._total_killed_in_session)
	elseif by_other_variant then
		managers.hud._hud_assault_corner._total_killed_in_session = managers.hud._hud_assault_corner._total_killed_in_session + 1
		text_box:set_text(managers.hud._hud_assault_corner._total_killed_in_session)
	end
end)